/******************************************************************************/
/******************************************************************************/
/*						                              */
/* Trigger: DTULTATU_ESPEPROD      				              */
/* Tabela : ESPEPROD                                    		      */
/*                                                                  	      */
/* Criao:                                              		      */
/* 25/05/2006 - JOAO PAULO REIS       		                 	      */
/*                                                                	      */
/******************************************************************************/
CREATE OR REPLACE TRIGGER DTULTATU_ESPEPROD
BEFORE INSERT OR UPDATE OR DELETE
ON ESPEPROD FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUESPR := SYSDATE;
   END IF;
   IF UPDATING THEN
      if (NVL(:OLD.CDPRODUTO ,0) <> NVL(:NEW.CDPRODUTO ,0)) OR
         (NVL(:OLD.CDESPEPROD,0) <> NVL(:NEW.CDESPEPROD,0)) OR
         (NVL(:OLD.NMESPEPROD,0) <> NVL(:NEW.NMESPEPROD,0)) THEN 
         :NEW.DTULTATUESPR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ESPEPROD', '',  'CDPRODUTO ='||:OLD.CDPRODUTO ||';
                                                 CDESPEPROD='||:OLD.CDESPEPROD||';', SYSDATE);                        
   
   END IF;
END;
/
ALTER TABLE ESPEPROD MODIFY DTULTATUESPR DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ESPEPROD','4.07.061'); END;
/

