/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_BANCO                                                    */
/* Tabela : BANCO                                                             */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_BANCO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_BANCO
GO

CREATE TRIGGER DTULTATU_BANCO
ON BANCO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'BANCO', null, 'CDBANCO='+  CDBANCO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE BANCO
      SET DTULTATUBANC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(BANCO.CDBANCO,0)      = ISNULL(INSERTED.CDBANCO,0))      AND
            (ISNULL(BANCO.NMBANCO,0)      = ISNULL(INSERTED.NMBANCO,0))      AND
            (ISNULL(BANCO.DSARQBOLCOMP,0) = ISNULL(INSERTED.DSARQBOLCOMP,0)) AND
            (ISNULL(BANCO.DSARQBOLPREI,0) = ISNULL(INSERTED.DSARQBOLPREI,0)) AND
            (ISNULL(BANCO.CDBANCCNAB,0)   = ISNULL(INSERTED.CDBANCCNAB,0))   AND
            (ISNULL(BANCO.CDPICTAGEN,0)   = ISNULL(INSERTED.CDPICTAGEN,0))   AND
            (ISNULL(BANCO.CDPICTCONT,0)   = ISNULL(INSERTED.CDPICTCONT,0));
   END;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_BANCO','4.11.194';
GO

