/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SUBSTIPOCONS                                             */
/* Tabela : SUBSTIPOCONS                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 14/05/2004 - RENATA DINIZ                                                  */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_SUBSTIPOCONS' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_SUBSTIPOCONS
GO

CREATE TRIGGER DTULTATU_SUBSTIPOCONS
ON SUBSTIPOCONS
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'SUBSTIPOCONS', CDFILIAL, 'CDFILIAL    =' + CDFILIAL +
                                                 ';CDTIPOCONS =' + CDTIPOCONS +
                                                 ';CDSERVFILI =' + CDSERVFILI +
                                                 ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE SUBSTIPOCONS
      SET DTULTATUSBTC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(SUBSTIPOCONS.CDTIPOCONS ,0)  = ISNULL(INSERTED.CDTIPOCONS ,0)) AND
            (ISNULL(SUBSTIPOCONS.CDSERVFILI  ,0) = ISNULL(INSERTED.CDSERVFILI  ,0)) AND
            (ISNULL(SUBSTIPOCONS.VRPESUBTCONS,0) = ISNULL(INSERTED.VRPESUBTCONS,0)) AND
            (ISNULL(SUBSTIPOCONS.VRTETSUBTCON,0) = ISNULL(INSERTED.VRTETSUBTCON,0));
   END;
END;
GO

